summaryrefslogtreecommitdiffstats
path: root/system/pcsc-lite
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-13 00:41:20 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:41:20 +0200
commit40407628323b0b3b8b004790e7ab86daee848424 (patch)
tree13e968d86e2461baeab6d95518d9cf0f77a12090 /system/pcsc-lite
parent16a55398931d5d9ac6263b91d7cd2bde2ee21288 (diff)
downloadslackbuilds-40407628323b0b3b8b004790e7ab86daee848424.tar.gz
slackbuilds-40407628323b0b3b8b004790e7ab86daee848424.tar.xz
system/pcsc-lite: Updated for version 1.5.5
Diffstat (limited to 'system/pcsc-lite')
-rw-r--r--system/pcsc-lite/README27
-rw-r--r--system/pcsc-lite/doinst.sh1
-rw-r--r--system/pcsc-lite/pcsc-lite.SlackBuild26
-rw-r--r--system/pcsc-lite/pcsc-lite.info8
-rw-r--r--system/pcsc-lite/slack-desc12
5 files changed, 40 insertions, 34 deletions
diff --git a/system/pcsc-lite/README b/system/pcsc-lite/README
index dfb6594514..64f159110f 100644
--- a/system/pcsc-lite/README
+++ b/system/pcsc-lite/README
@@ -1,32 +1,27 @@
PC/SC-lite (Personal Computer/Smart Card interface)
-License: BSD
This is a middleware to access a smart card using SCard API (PC/SC) Its purpose
is to provide a Windows(R) SCard interface in a very small form factor for
communicating to smart cards and readers.
-It is compiled with --enable-usbdropdir=<libdir>/pcsc/drivers
-This will be the destination directory for usb readers' drivers (ccid, cardman,
-and others).
-
-NOTE: drivers are not included and must be compiled and installed separately.
-See DRIVERS file in pcsc-lite's doc directory for more information on getting
-and installing specific drivers.
-
-For serial and pcmcia readers only, it is necessary to edit files in
-/etc/reader.conf.d/ and run "/usr/sbin/update-reader.conf".
-
Compiling with "DEBUGATR=1 ./pcsc-lite.SlackBuild" enables ATR parsing debug
-output messages.
-
-Compiling with "APIDOC=1 ./pcsc-lite.SlackBuild" produces API .pdf
-documentation (mainly intended for developers).
+output messages. Compiling with "APIDOC=1 ./pcsc-lite.SlackBuild" produces
+API .pdf documentation (mainly intended for developers).
pcsc-lite uses libusb for smart-card reader's detection. If you want to
avoid usb polling (according to upstream's advice), you can compile with
"HALD=1 ./pcsc-lite.SlackBuild" in order to use libhal for detecting your
reader.
+NOTE: drivers are not included and must be compiled and installed separately.
+See DRIVERS file in pcsc-lite's doc directory for more information on getting
+and installing specific drivers. pcsc-lite is compiled with the
+--enable-usbdropdir=<libdir>/pcsc/drivers flag -- this directory will be the
+destination for usb readers' drivers (ccid, cardman, and others).
+
+For serial and pcmcia readers only, it is necessary to edit files in
+/etc/reader.conf.d/ and run "/usr/sbin/update-reader.conf".
+
To start PC/SC-lite daemon, run "/etc/rc.d/rc.pcscd start".
For pcmcia readers, this daemon should be started after rc.pcmcia - this is
most easily accomplished by adding the following to /etc/rc.d/rc.local:
diff --git a/system/pcsc-lite/doinst.sh b/system/pcsc-lite/doinst.sh
index 7669b280aa..1555bf6c5f 100644
--- a/system/pcsc-lite/doinst.sh
+++ b/system/pcsc-lite/doinst.sh
@@ -1,4 +1,3 @@
-#!/bin/sh
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
diff --git a/system/pcsc-lite/pcsc-lite.SlackBuild b/system/pcsc-lite/pcsc-lite.SlackBuild
index 681b74800f..304d185cc1 100644
--- a/system/pcsc-lite/pcsc-lite.SlackBuild
+++ b/system/pcsc-lite/pcsc-lite.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pcsc-lite
-VERSION=${VERSION:-1.5.3}
+VERSION=${VERSION:-1.5.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,11 +33,19 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DEBUGATR=${DEBUGATR:-0} # Debug is off by default
-APIDOC=${APIDOC:-0} # API documentation building is off by default
-TEXTOPDFBIN="/usr/share/texmf/bin/pdflatex" # program to convert .tex files into .pdf (for APIDOC)
+# Debug is off by default
+DEBUGATR=${DEBUGATR:-0}
+
+# API documentation building is off by default
+APIDOC=${APIDOC:-0}
+
+# Program to convert .tex files into .pdf (for APIDOC)
+TEXTOPDFBIN="/usr/share/texmf/bin/pdflatex"
+
# using upstream preferred behaviour by default (libhal)
-HALD=${HALD:-0} # 0 for conservative detection behaviour, 1 for libhal
+# 0 for conservative detection behaviour, 1 for libhal
+HALD=${HALD:-0}
+
# README and README.DAEMON are not useful and partly outdated. ChangeLog.svn is empty.
DOCFILES="DRIVERS SECURITY ChangeLog COPYING HELP NEWS TODO AUTHORS INSTALL"
@@ -119,8 +127,10 @@ mv $PKG/etc/reader.conf.d/reader.conf $PKG/etc/reader.conf.d/reader.conf.new
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pcsc/{drivers,services}
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -161,4 +171,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pcsc-lite/pcsc-lite.info b/system/pcsc-lite/pcsc-lite.info
index 0726c21ea1..695f3e8dbd 100644
--- a/system/pcsc-lite/pcsc-lite.info
+++ b/system/pcsc-lite/pcsc-lite.info
@@ -1,8 +1,10 @@
PRGNAM="pcsc-lite"
-VERSION="1.5.3"
+VERSION="1.5.5"
HOMEPAGE="http://pcsclite.alioth.debian.org"
-DOWNLOAD="http://alioth.debian.org/frs/download.php/3017/pcsc-lite-1.5.3.tar.bz2"
-MD5SUM="95fbd1fb1b51a6f22bb0dd4a796772d3"
+DOWNLOAD="http://alioth.debian.org/frs/download.php/3082/pcsc-lite-1.5.5.tar.bz2"
+MD5SUM="6707e967fc8bb398a5d1b1089d4dff63"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="LukenShiro"
EMAIL="lukenshiro@ngi.it"
APPROVED="dsomero"
diff --git a/system/pcsc-lite/slack-desc b/system/pcsc-lite/slack-desc
index 8c34410d3b..21e0f28ca9 100644
--- a/system/pcsc-lite/slack-desc
+++ b/system/pcsc-lite/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler---------------------------------------------------|
pcsc-lite: pcsc-lite (Middleware to access a smart card using SCard API)
-pcsc-lite:
+pcsc-lite:
pcsc-lite: Middleware to access a smart card using SCard API (PC/SC)
pcsc-lite: Its purpose is to provide a Windows(R) SCard interface in a
pcsc-lite: very small form factor for communicating to smart cards and
pcsc-lite: readers.
-pcsc-lite:
-pcsc-lite: http://alioth.debian.org/projects/pcsclite/
-pcsc-lite:
-pcsc-lite:
-pcsc-lite:
+pcsc-lite:
+pcsc-lite: Homepage: http://alioth.debian.org/projects/pcsclite/
+pcsc-lite:
+pcsc-lite:
+pcsc-lite: